Class Index | File Index

## Classes

- _global_
- fec
- fec.base
- fec.config
- fec.cookies
- fec.errorCode
- fec.errorConfig
- fec.form
- fec.msg
- fec.util
- fec.valuesFactory
- FecMain
- FecPageControl

# Namespace fec.config

fec.config
Defined in: yaf4ajn.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fec.config Base configuration class

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> <constant> | fec.config.htmlIdDataPrefix Prefix of element-Ids, which should be replaced.
<static> <constant> | fec.config.htmlIdForm Element-Id of your HTML-form.
<static> <constant> | fec.config.htmlIdLoaderPrefix Prefix of element-Id, which will be hidden after completion (initially visible)
<static> <constant> | fec.config.htmlIdScopePrefix Prefix of element-Id, which will be shown after completion (initially hidden)
<static> <constant> | fec.config.jsCheckformPrefix Prefix of JS-Functions, which validate the form
<static> <constant> | fec.config.jsSetterPrefix Prefix of JS-Functions, which should be called to set data.
<static> <constant> | fec.config.urlAjaxRequest URL to the server for ajax request
<static> <constant> | fec.config.urlErrorpage URL to an errorpage

Namespace Detail
fec.config
Base configuration class
Field Detail
<static> <constant> {string} fec.config.htmlIdDataPrefix
Prefix of element-Ids, which should be replaced.

Default Value:
  "fecData"

<static> <constant> {string} fec.config.htmlIdForm
Element-Id of your HTML-form.

Default Value:
  "fecForm"

<static> <constant> {string} fec.config.htmlIdLoaderPrefix
Prefix of element-Id, which will be hidden after completion (initially visible)

Default Value:
  "fecScopeLoad"

<static> <constant> {string} fec.config.htmlIdScopePrefix
Prefix of element-Id, which will be shown after completion (initially hidden)

Default Value:
  "fecScope"

<static> <constant> {string} fec.config.jsCheckformPrefix
Prefix of JS-Functions, which validate the form

See:
  fecHookCheckFormScopename

Default Value:
  "fecHookCheckForm"

<static> <constant> {string} fec.config.jsSetterPrefix
Prefix of JS-Functions, which should be called to set data.

See:
  fecHookSetDataValuekey

Default Value:
  "fecHookSetData"

<static> <constant> {string} fec.config.urlAjaxRequest
URL to the server for ajax request

See:
  http://www.prototypejs.org/api/ajax/request

Default Value:
  "/app/json"

<static> <constant> {string} fec.config.urlErrorpage
URL to an errorpage

Default Value:
  "/error.html"

Documentation generated by JsDoc Toolkit 2.1.0 on Mon Mar 09 2009 11:54:49 GMT+0100 (CET)